org.eclipse.ease.lang.python.jython.debugger

## Class JythonFrame

- java.lang.Object
- - org.eclipse.ease.lang.python.jython.debugger.JythonFrame

All Implemented Interfaces:
  IPyFrame

    public class JythonFrame
    extends java.lang.Object
    implements IPyFrame

Wrapper class for calling `IPyFrame` functionality on `PyObject`.

### Constructor Summary

Constructors
Constructor and Description
`JythonFrame(org.python.core.PyObject frame)` Constructor only stores parameters to member.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getFilename()` Returns the filename of the current frame.
`int` `getLineNumber()` Returns the linenumber of the current frame.
`IPyFrame` `getParent()` Returns the parent frame in the call stack.
`java.lang.Object` `getVariable(java.lang.String name)` Get a variable from the current frame.
`java.util.Map<java.lang.String,java.lang.Object>` `getVariables()` Get variables visible from current frame.
`void` `setVariable(java.lang.String name, java.lang.Object value)` Set the content of a variable to a given value.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JythonFrame

    public JythonFrame(org.python.core.PyObject frame)

Constructor only stores parameters to member.

Parameters:
  `frame` - `IPyFrame` in Python form.

### Method Detail

#### getFilename

    public java.lang.String getFilename()

Description copied from interface: `IPyFrame`
Returns the filename of the current frame.

Must NOT return `null`.

Specified by:
  `getFilename` in interface `IPyFrame`
Returns:
  filename for the current frame.

#### getLineNumber

    public int getLineNumber()

Description copied from interface: `IPyFrame`
Returns the linenumber of the current frame.

Specified by:
  `getLineNumber` in interface `IPyFrame`
Returns:
  line number of the current frame.

#### getParent

    public IPyFrame getParent()

Description copied from interface: `IPyFrame`
Returns the parent frame in the call stack.

If the current frame is the root, `null` should be returned.

Specified by:
  `getParent` in interface `IPyFrame`
Returns:
  Parent in the call stack or `null`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getVariable

    public java.lang.Object getVariable(java.lang.String name)

Description copied from interface: `IPyFrame`
Get a variable from the current frame.

Specified by:
  `getVariable` in interface `IPyFrame`
Parameters:
  `name` - variable name to look up
Returns:
  variable or `null`

#### getVariables

    public java.util.Map<java.lang.String,java.lang.Object> getVariables()

Description copied from interface: `IPyFrame`
Get variables visible from current frame.

Specified by:
  `getVariables` in interface `IPyFrame`
Returns:
  variableName -> variableContent

#### setVariable

    public void setVariable(java.lang.String name,
                            java.lang.Object value)

Description copied from interface: `IPyFrame`
Set the content of a variable to a given value.

Specified by:
  `setVariable` in interface `IPyFrame`
Parameters:
  `name` - name of variable to set
  `value` - value to set to